Anonymous | Login
Project:
RSS
  
News | My View | View Issues | Roadmap | Summary

View Issue DetailsJump to Notes ] Issue History ] Print ]
ID
0038077
TypeCategorySeverityReproducibilityDate SubmittedLast Update
defect[Openbravo ERP] 07. Sales managementmajoralways2018-03-08 10:322018-03-29 13:07
ReporterngarciaView Statuspublic 
Assigned Tocollazoandy4 
PriorityurgentResolutionfixedFixed in Version3.0PR18Q2
StatusclosedFix in branchFixed in SCM revision479b61764415
ProjectionnoneETAnoneTarget Version
OSAnyDatabaseAnyJava version
OS VersionDatabase versionAnt version
Product VersionSCM revision 
Review Assigned Todmiguelez
Web browser
ModulesCore
Regression level
Regression date
Regression introduced in release
Regression introduced by commit
Triggers an Emergency PackNo
Summary

0038077: Orders can be included in invoices with different currency and they are paid in invoice currency (without conversion)

DescriptionOrders can be included in invoices with different currency and they are paid in invoice currency (without conversion)

It should not be possible to invoice orders in different currencies
Steps To ReproduceAs group admin role:
   Create a Purchase Order for 'F&B España Region Norte' and 'Bebidas Alegres S.A.'
   Set 'Tarifa Bebidas Alegres' and check the order currency is EUR
   Add a product to it and book it
   Launch the Pending Goods Receipt process to create the related goods receipt
   Change 'Tarifa La Fruta es la Vida' price list to USD
   Add a price to the product included in the order on this price list
   Create a Purchase Invoice for F&B España Region Norte and Bebidas Alegres S.A.
   Set 'Tarifa La Fruta es la Vida' and check the invoice currency is USD
   Open Create Lines From pop-up and check you can select both order and goods receipt line. This is wrong
   Select the order line and complete the invoice

   Go to 'Cuenta de Banco' Financial Account and configure the invoice's payment method to make and receive payments in multiple currencies

   Add a Payment to the invoice
   Check the amount is paid in USD but the payment is also related with the purchase order
TagsNo tags attached.
Attached Files

- Relationships Relation Graph ] Dependency Graph ]

-  Notes
(0103451)
collazoandy4 (developer)
2018-03-23 00:39

Test Plan
  Edit the Tarifa La Fruta es la Vida price list set:
    Currency: USD
  Create a Purchase Order add a product and book it
    Check Order currency: EUR
  Create a new Purchase Invoice header using Tarifa La Fruta es la Vida price list and check:
    Invoice currency: USD
    Can't Create Lines From the Previous Order created
  Create a Receipt from the previous order and complete it
  Go to the Previous invoice header created and check can't Create Lines From the previous receipt
  Create a new Receipt for any product and Complete it
  Go to the Previous invoice header created and Create Lines From the previous receipt
    Complete the Invoice and check the process ends successfull

Test Plan II
  Create a Purchase Order add a product and book it
    Check Order currency: EUR
  Create a Receipt from the previous order and complete it
  Create a new Purchase Invoice header using Tarifa La Fruta es la Vida price list and check:
    Invoice currency: EUR
    Can Create Lines From the Previous Order and Receipt created

Test Plan III
  Repeat the Previous Test Plan for Sales flow
(0103500)
hgbot (developer)
2018-03-26 13:05

Repository: erp/devel/pi
Changeset: 479b617644159a92401669900911eddcc69d9bbb
Author: Armaignac <collazoandy4 <at> gmail.com>
Date: Thu Mar 22 12:06:52 2018 -0400
URL: http://code.openbravo.com/erp/devel/pi/rev/479b617644159a92401669900911eddcc69d9bbb [^]

Fixes issue 38077: Orders can be included in invoices with different currency
and they are paid in invoice currency

Orders can be included in invoices with different currency and they are paid in
invoice currency.

From now on the orders only can be invoiced with the same currency

---
M src/org/openbravo/erpCommon/ad_actionButton/CreateFrom.java
M src/org/openbravo/erpCommon/ad_actionButton/CreateFrom_Invoice_data.xsql
---
(0103501)
hgbot (developer)
2018-03-26 13:05

Repository: erp/devel/pi
Changeset: be480e476c0c707bddc0a83ffe8983265ecdbac1
Author: David Miguelez <david.miguelez <at> openbravo.com>
Date: Mon Mar 26 09:52:23 2018 +0200
URL: http://code.openbravo.com/erp/devel/pi/rev/be480e476c0c707bddc0a83ffe8983265ecdbac1 [^]

Related to Issue 38077. Use currency of the Document (Order or Invoice)
instead of currency of the Price List, that can be modified at will

---
M src/org/openbravo/erpCommon/ad_actionButton/CreateFrom.java
M src/org/openbravo/erpCommon/ad_actionButton/CreateFrom_Invoice_data.xsql
---
(0103502)
dmiguelez (developer)
2018-03-26 13:06

Code Review + Testing Ok
(0103631)
hudsonbot (developer)
2018-03-29 13:07

A changeset related to this issue has been promoted main and to the
Central Repository, after passing a series of tests.

Promotion changeset: https://code.openbravo.com/erp/devel/main/rev/ead4656f507e [^]
Maturity status: Test
(0103632)
hudsonbot (developer)
2018-03-29 13:07

A changeset related to this issue has been promoted main and to the
Central Repository, after passing a series of tests.

Promotion changeset: https://code.openbravo.com/erp/devel/main/rev/ead4656f507e [^]
Maturity status: Test

- Issue History
Date Modified Username Field Change
2018-03-08 10:32 ngarcia New Issue
2018-03-08 10:32 ngarcia Assigned To => Triage Finance
2018-03-08 10:32 ngarcia Modules => Core
2018-03-08 10:32 ngarcia Triggers an Emergency Pack => No
2018-03-08 10:32 ngarcia Issue Monitored: networkb
2018-03-08 17:47 dmiguelez Assigned To Triage Finance => collazoandy4
2018-03-15 16:44 ngarcia Priority immediate => urgent
2018-03-21 22:06 collazoandy4 Status new => scheduled
2018-03-23 00:39 collazoandy4 Note Added: 0103451
2018-03-26 13:05 hgbot Checkin
2018-03-26 13:05 hgbot Note Added: 0103500
2018-03-26 13:05 hgbot Status scheduled => resolved
2018-03-26 13:05 hgbot Resolution open => fixed
2018-03-26 13:05 hgbot Fixed in SCM revision => http://code.openbravo.com/erp/devel/pi/rev/479b617644159a92401669900911eddcc69d9bbb [^]
2018-03-26 13:05 hgbot Checkin
2018-03-26 13:05 hgbot Note Added: 0103501
2018-03-26 13:06 dmiguelez Review Assigned To => dmiguelez
2018-03-26 13:06 dmiguelez Note Added: 0103502
2018-03-26 13:06 dmiguelez Status resolved => closed
2018-03-26 13:06 dmiguelez Fixed in Version => 3.0PR18Q2
2018-03-29 13:07 hudsonbot Checkin
2018-03-29 13:07 hudsonbot Note Added: 0103631
2018-03-29 13:07 hudsonbot Checkin
2018-03-29 13:07 hudsonbot Note Added: 0103632


Copyright © 2000 - 2009 MantisBT Group
Powered by Mantis Bugtracker